/***************************************************************************
                          sglwindow.h  -  description
                             -------------------
    begin                : Wed Jan 23 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
    url                  : www.steinsoft.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SGLWINDOW_H
#define SGLWINDOW_H

#include <GL/gl.h> 
#include <GL/glu.h>

#include "sbmptexture.h"

/**
  *@author Andre Stein
  */

class SGLWindow
{
public:
	SGLWindow();
	~SGLWindow();

	void resize(int width, int height);
	void init();
	void update(float frametime);
 	void keyDown(int key);
protected:
	SBMPTexture normalTexture,
		    filteredTexture;
	float camera[3];
	float moving[2];
protected:
    void checkMouse();
    void drawObject();
};

#endif
